#
# spec file for package python3-slixmpp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   slixmpp
%define _tar_ver 117
Name:           python3-slixmpp
Version:        1.2.4
Release:        1.4
Summary:        Python XMPP (Jabber) Library that Implements Everything as a Plugin
License:        MIT
Group:          Development/Languages/Python
Url:            http://slixmpp.readthedocs.io/
Source:         http://dev.louiz.org/attachments/download/%{_tar_ver}/%{_name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE slixmpp-fix-legacyauth.patch nyov@nexnode.net -- Fix an error in legacyauth support.
Patch0:         %{_name}-fix-legacyauth.patch
BuildRequires:  pkgconfig
BuildRequires:  python3 >= 3.4
BuildRequires:  python3-Cython
BuildRequires:  python3-dnspython
BuildRequires:  python3-xml
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(python3)
Requires:       python3-dnspython

%description
Slixmpp is an MIT licensed XMPP library for Python. The goals of
the project are ease of implementation, and complete draft XEP
(XMPP Extended Protocol) coverage. Ideally the community will be
able to use this for bots, easy XEP protocoling, etc.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags}"
python3 setup.py build

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{python3_sitearch}/%{_name}/
%{python3_sitearch}/%{_name}-*

%changelog
* Sat Feb 11 2017 sor.alexei@meowr.ru
- Update to version 1.2.4:
  * Test more things before trying to build our stringprep module.
  * XMLStream: Break a long line to make it more readable.
  * Check for XML parsing errors and disconnect in that case.
  * Add missing asyncio.coroutine decorators.
  * Fix partially-merged Google plugin from the commit acc52fd.
  * Fix an issue with carbons (CVE-2017-5589, bsc#1024690).
* Sat Dec 10 2016 sor.alexei@meowr.ru
- Initial package.
